# SENTUserActivity

### SENTUserActivityType

<table><thead><tr><th width="348.0799033060596">Type</th><th>Description</th></tr></thead><tbody><tr><td>SENTUserActivityTypeTRIP</td><td>The SDK detected the user is in a trip. Information about the trip can be accessed using SENTTripInfo</td></tr><tr><td>SENTUserActivityTypeSTATIONARY</td><td>The SDK detected the user is in stationary state. More info about this state can be accessed using SENTStationaryInfo</td></tr><tr><td>SENTUserActivityTypeUNKNOWN</td><td><p>This state is set when it's not possible to determine the user's activity. This can be due to external reasons such as the device location setting being turned off, or the location permission not having been granted to the app, or the SDK not reporting accurate locations.<br></p><p>Note: In this state, SENTTripInfo and SENTStationaryInfo are nil.</p></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/ios/sentuseractivity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
